Create upload URL
Generate a pre-signed S3 URL for uploading a new recording. User API keys can upload with recordings:read; organization API keys are not allowed for this endpoint.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer pk_xxx as the authorization header value.
In: header
Request Body
application/json
Upload URL request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/v1/public/recordings/upload-url" \ -H "Content-Type: application/json" \ -d '{}'{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}{
"data": null,
"error": "string",
"pagination": {
"has_more": true,
"limit": 0,
"page": 0,
"total": 0,
"total_pages": 0
},
"success": true
}